AxAxolite Docs
POSTdashboard_tokenClient20 req/min per token

/client/apps

Create a client under a team and return the initial client secret.

Auth & headers

Allowed roles: owner, admin

authorization: Bearer <dashboard_token>
content-type: application/json

Parameters

NameLocationTypeRequiredDescription

Request schema

FieldTypeRequiredDescription
team_iduuidYesOwning team.
namestringYesInternal client name.
titlestringYesPublic login title.
descriptionstringYesPublic login description.
logo_urlstringNoOptional branding logo.

Response schema

FieldTypeRequiredDescription
app.client_iduuidYesPublic client id.
client_secretstringYesSave once, not shown again.

Response preview

{
  "app.client_id": "string",
  "client_secret": "string"
}

Examples

curl -X POST https://axolite-production.up.railway.app/client/apps -H 'authorization: Bearer <dashboard_token>' -H 'content-type: application/json' -d '{"team_id":"<team_uuid>","name":"launcher-prod","title":"Axo Launcher","description":"Login with Microsoft"}'

Error variants

HTTP 403

No admin access

Use owner/admin dashboard token.

Was this page helpful?

Feedback is saved locally for now.